Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class PapariTextRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.PapariTextRenderer

All Implemented Interfaces:
  Renderer

    public class PapariTextRenderer

extends AbstractRenderer

A console renderer with optional color support under *nix systems.

     * file: ./src/gilot/Test.java
         src:  Test.java:12
         rule: AtLeastOneConstructor
         msg:  Each class should declare at least one constructor
         code: public class Test

     * file: ./src/gilot/log/format/LogInterpreter.java
         src:  LogInterpreter.java:317
         rule: AvoidDuplicateLiterals
         msg:  The same String literal appears 4 times in this file; the first occurrence is on line 317
         code: logger.error( "missing attribute 'app_arg' in rule '" + ((Element)element.getParent()).getAttributeValue( "name" ) + "'" );

         src:  LogInterpreter.java:317
         rule: AvoidDuplicateLiterals
         msg:  The same String literal appears 5 times in this file; the first occurrence is on line 317
         code: logger.error( "missing attribute 'app_arg' in rule '" + ((Element)element.getParent()).getAttributeValue( "name" ) + "'" );

     * warnings: 3

Colorization is turned on by supplying -Dpmd.color - any value other than '0' or 'false', enables color - including an empty value (''). Nota Bene: colorization is atm only supported under *nix terminals accepting ansi escape sequences, such as xterm, rxvt et cetera.

Field Summary

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`PapariTextRenderer()`

Method Summary
`protected java.io.Reader` | `getReader(java.lang.String sourceFile)`
`void` | `render(java.io.Writer writer, Report report)`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`end, getWriter, render, renderFileReport, setWriter, showSuppressedViolations, start, startFileAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PapariTextRenderer

    public PapariTextRenderer()

Method Detail

### render

    public void render(java.io.Writer writer,
                       Report report)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getReader

    protected java.io.Reader getReader(java.lang.String sourceFile)
                                throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.